<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\BotManController;


/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/logout', 'App\Http\Controllers\Auth\LoginController@logout');
Route::get('/login', 'App\Http\Controllers\Auth\LoginController@login')->name('login');
Route::post('/login', 'App\Http\Controllers\Auth\LoginController@login');
//Auth::routes();

Route::post('chercher', 'App\Http\Controllers\InfoPlaqueController@chercher');
Route::get('proprietaire/{numero?}', 'App\Http\Controllers\InfoPlaqueController@proprietaire');


Route::get('/home', 'App\Http\Controllers\HomeController@index')->name('home');


Route::get('D', 'App\Http\Controllers\InfoPlaqueController@index');

Route::get('plaque/{numero?}', 'App\Http\Controllers\InfoPlaqueController@getProprietaire');
Route::get('conducteur/{nom?}', 'App\Http\Controllers\InfoPlaqueController@getVehicules');
Route::get('login2', 'App\Http\Controllers\ApiLoginController@login_visu');

Route::post('/login_visu', 'App\Http\Controllers\Auth\LoginController@login_visu');
Route::get('/trouve', 'App\Http\Controllers\Auth\LoginController@login_api');

Route::get('/', function () {
    return view('auth.login');
});